Skip to navigation

Delete custom user settings

View as Markdown

Deletes the specified custom user settings for a single user.

###Deleting Grouped Custom User Settings###

If the custom user settings you want to delete are grouped, you must include the following information in the header, after Content-Type, in the request:

X-DocuSign-User-Settings-Key:group_name

Where the group_name is your designated name for the group of customer user settings.

If the extra header information is not included, only the custom user settings that were added without a group are deleted.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

userIdstringRequired

The user ID of the user being accessed. Generally this is the user ID of the authenticated user, but if the authenticated user is an Admin on the account, this may be another user the Admin user is accessing. Note: For the GET /v2/accounts/{accountId}/envelopes method, the user_id query parameter is not implemented and should not be used.

Request

This endpoint expects an object: customSettingsInformation

customSettingslist of objectsOptional

The name/value pair information for the user custom setting.

Response

Successful response.
customSettingslist of objectsOptional

The name/value pair information for the user custom setting.

Errors

400
Bad Request Error